ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::files::TileCoverage::Impl Class Reference

Internal implementation details of TileCoverage. More...

## Public Member Functions
| Impl ()
| Constructor.
| ~Impl ()
| Destructor.
std::vector< box > | intersecting (const box &b)
| Boxes intersecting with the specified box. More...

## Public Attributes
geomi::rtree< box, geomi::quadratic< 16 > > | rtree
| Region coverage stored as box ranges.

## Detailed Description

Internal implementation details of TileCoverage.

## Member Function Documentation

std::vector<box> ome::files::TileCoverage::Impl::intersecting | ( | const box & | b | ) |
| inline

Boxes intersecting with the specified box.

Parameters

  b | the box to intersect with.

Returns
  a list of intersecting boxes.

References ome::files::PlaneRegion::h, ome::files::PlaneRegion::w, ome::files::PlaneRegion::x, and ome::files::PlaneRegion::y.

The documentation for this class was generated from the following file:

- ome/files/TileCoverage.cpp